#include "SamplingBehavior.h"
#include <iostream>

SamplingBehavior::SamplingBehavior(double lower_bound, double upper_bound)
{
	random_device rd;
	generator = mt19937(rd());
	variable_distribution = uniform_real_distribution<>(lower_bound, upper_bound);
	zero_one_distribution = uniform_real_distribution<>(0.0, 1.0);
}